# Order subscription items

Order subscription items can be of type `skus`, `bundles`, or `adjustments` and are used to generate the target order's line items involved in the automatic [order subscriptions](/core-api-reference/order_subscriptions.md) generation using [recurring order copies](/core-api-reference/recurring_order_copies.md). Order subscription items are automatically generated from the source order's line items with frequency, according to the strategy set at the [subscription model](/core-api-reference/subscription_models.md) level:

* `by_frequency` — for each automatically generated order subscription as many order subscription items as the source order’s line items that have that specific frequency will be generated.
* `by_line_items` — for each automatically generated order subscription one order subscription item only will be generated.

Like line items, order subscription items have a `quantity` and a unit price — both inherited from the source order's line items — that can be changed anytime by updating the order subscription item itself to customize the generated target order's line items. If the source order's line items unit price is computed according to a [price frequency tier](/core-api-reference/price_frequency_tiers.md), any change to the tier itself that happens after the order subscription item generation won't be reflected on the order subscription item unit price.

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/orders/subscriptions-and-order-copies.md) and explore the flowchart that illustrates how the order subscription item resource relates to the other API entities.

</details>

<details>

<summary>How-to</summary>

Check the related [guide](/how-tos/placing-orders/subscriptions.md) to learn more about how to generate and automatic subscriptions from a source order and how to add, remove, or update order subscription items belonging to an already generated order subscription.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/order_subscription_items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
